/**
 * DevExtreme (ui/diagram/ui.diagram.shape.categories.js)
 * Version: 19.1.13 (build 21160-0311)
 * Build date: Wed Jun 09 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
var _diagram_importer = require("./diagram_importer");
var ShapeCategories = {
    load: function(showCustomShapes) {
        var ShapeCategory = (0, _diagram_importer.getDiagram)().ShapeCategory;
        var result = [{
            category: ShapeCategory.General,
            title: "General"
        }, {
            category: ShapeCategory.Flowchart,
            title: "Flow Chart"
        }];
        if (showCustomShapes) {
            result.push({
                category: ShapeCategory.Custom,
                title: "Custom"
            })
        }
        return result
    }
};
module.exports = ShapeCategories;
