/**
* DevExtreme (ui/validation_summary.d.ts)
* Version: 19.1.13 (build 21160-0311)
* Build date: Wed Jun 09 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxValidationSummary(): JQuery;
    dxValidationSummary(options: "instance"): DevExpress.ui.dxValidationSummary;
    dxValidationSummary(options: string): any;
    dxValidationSummary(options: string, ...params: any[]): any;
    dxValidationSummary(options: DevExpress.ui.dxValidationSummaryOptions): JQuery;
}
}
export default DevExpress.ui.dxValidationSummary;
export type Options = DevExpress.ui.dxValidationSummaryOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxValidationSummaryOptions;